Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezxmlrpcbase64.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezxmlrpcbase64.php 2835 2001-01-25 09:23:53Z bf $
5 //
6 // Definition of eZXMLRPCBase64 class
7 //
8 // B�rd Farstad <bf@ez.no>
9 // Created on: <17-Dec-2000 15:32:50 bf>
10 //
11 // This source file is part of Exponential Basic, publishing software.
12 // Copyright (C) 1999-2000 eZ systems as
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
29
32
36 class eZXMLRPCBase64
37 {
41 function __construct( $value=0 )
42 {
43 if ( !isset( $value ) )
44 $value = 0;
45 $this->Value = $value;
46 }
47
51 function &serialize( )
52 {
53 $value =& base64_encode( $this->Value );
54
55 $ret = "<value>";
56 $ret .= "<base64>";
57 $ret .= $value;
58 $ret .= "</base64>";
59 $ret .= "</value>";
60
61 return $ret;
62 }
63
67 function value()
68 {
69 return $this->Value;
70 }
71
75 function decode( $value )
76 {
77 $this->Value =& base64_decode( $value );
78 }
79
80 // The string value
81 var $Value;
82 }
83
84 ?>
eZXMLRPCBase64
Definition: ezxmlrpcbase64.php:37
eZXMLRPCBase64\value
value()
Definition: ezxmlrpcbase64.php:67
eZXMLRPCBase64\__construct
__construct( $value=0)
Definition: ezxmlrpcbase64.php:41
eZXMLRPCBase64\serialize
& serialize()
Definition: ezxmlrpcbase64.php:51
eZXMLRPCBase64\decode
decode( $value)
Definition: ezxmlrpcbase64.php:75
eZXMLRPCBase64\$Value
$Value
Definition: ezxmlrpcbase64.php:81
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.